INTERFACE
SUBROUTINE Heapsort(K__Number, P__Array, K__Index)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM), INTENT(in) :: K__Number
REAL(KIND=JPRB), INTENT(in) :: P__Array(:)
INTEGER(KIND=JPIM), INTENT(inout) :: K__Index(:)
END SUBROUTINE Heapsort
END INTERFACE
